# class MCollective::WindowsDaemon

### Public Class Methods

daemonize_runner(pid=nil) click to toggle source

    # File lib/mcollective/windows_daemon.rb, line 5
    def self.daemonize_runner(pid=nil)
      raise "Writing pid files are not supported on the Windows Platform" if pid
      raise "The Windows Daemonizer should only be used on the Windows Platform" unless Util.windows?

      WindowsDaemon.mainloop
    end

### Public Instance Methods

service_main() click to toggle source

    # File lib/mcollective/windows_daemon.rb, line 12
    def service_main
      Log.debug("Starting Windows Service Daemon")

      runner = Runner.new(nil)
      runner.run
    end

service_stop() click to toggle source

    # File lib/mcollective/windows_daemon.rb, line 19
    def service_stop
      Log.info("Windows service stopping")
      PluginManager["connector_plugin"].disconnect
      exit! 0
    end